Product Search
Lists all products that match a provided search query. The returned results are always ordered by relevance.
Request
Section titled “Request”A request can be submitted to this endpoint using the details below:
Method
Section titled “Method”https://api.fyendalscollection.com/product/searchQuery Parameters
Section titled “Query Parameters”q- The query to search by.
Example
Section titled “Example”GET /product/search?q=arknight%20shard HTTP/1.1Host: api.fyendalscollection.comAuthorization: Bearer eyJ...Response
Section titled “Response”A successful response from this endpoint gives a 200 OK and uses the following
response model for each result:
Response Model
Section titled “Response Model”interface ProductSearchResponseModel { readonly productId: string; readonly name: string; readonly imageUrl: string; readonly number: string | null;}Example
Section titled “Example”HTTP/1.1 200 OKContent-Type: application/json
{ "results": [ { "productId": "549623c8-34df-4018-a39e-75b37664da77", "name": "Arknight Shard", "imageUrl": "https://example.com/image.jpg", "number": "CRU000" } ], "nextCursor": 1}Problem Types
Section titled “Problem Types”The following problem types can be encountered when using this endpoint:
InvalidQuery
Section titled “InvalidQuery”If the provided query is invalid or malformed.
NotFound
Section titled “NotFound”If searching beyond the maximum cursor.